HomeGuidesAPI Reference
API Reference

Add new legacy API transformation entry

Creates a new legacy API transformation entry in the database. Maps a deprecated/legacy API path pattern to its new equivalent endpoint. The transformation is applied at runtime when enableLegacyApisSupport advanced property is enabled. Logs the action for auditing.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Legacy API transformation configuration. All fields are required to define the mapping from old to new API.

Request body for creating a new legacy API transformation entry. Defines the mapping from a deprecated API endpoint to its new equivalent.

string
enum
required

Target HTTP method for the new API endpoint. The incoming request will be transformed to use this method.

Allowed:
string
required
^/.*$

Target URL path for the new API. Supports {param} placeholders that are populated from regex capture groups via the params field.

string
enum
required

HTTP method of the legacy/deprecated API that triggers this transformation when matched with the pattern.

Allowed:
string
required

Java regex pattern to match legacy API request paths. Use capture groups () to extract path parameters for use in newPath or body transformation.

string
required

JSON object string mapping newPath placeholder names to capture group indices (1-based). Example: {"nePk":1} maps first capture group to {nePk} in newPath.

string
required

Field name for body transformation. When set, extracted path parameters are added to request body under this field as an array. Use empty string for no body transformation.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses
204

Legacy API entry created successfully. The entry is immediately available and the internal cache is updated.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/html
application/json
text/plain